# RPM spec file for Snd

Summary:	A sound editor
Name:		snd
Version:	2
Release:	1
Copyright:	GPL
Group:		Applications/Sound
Source:		ftp://ccrma-ftp.stanford.edu/pub/Lisp/snd.tar.gz
URL:		http://ccrma-www/CCRMA/Software/snd/snd.html
Vendor:		CCRMA/Music Stanford University
Packager:	Bill Schottstaedt

%description
Snd is a sound editor modelled loosely after Emacs and an old, sorely-missed
PDP-10 sound editor named Dpysnd. It can accomodate any number of sounds at
once, each with any number of channels. Each channel is normally displayed
in its own window, with its own cursor, edit history, and marks; each sound
has a 'control panel' to try out various changes quickly, and an expression
parser, used mainly during searches; there is an overall stack of 'regions'
that can be browsed and edited; channels and sounds can be grouped together
during editing; edits can be undone and redone without restriction
('unlimited undo'); Snd can be customized and extended using Gnu's Guile 
Scheme interpreter; and it's free; the code is available via anonymous ftp
from ccrma-ftp.stanford.edu as pub/Lisp/snd.tar.gz.

%prep
# snd.tar.gz does not follow the RPM naming or directory expectations
%setup -c -n snd
# need to create snd directory, move to it, untar/unzip (hysteron proteron) snd.tar.gz

%build
%ifos Linux
%ifarch i386
make -f makefile.rpm
%else
make -f makefile.mklinux
%endif
%endif

%install
# cp snd /usr/local/bin
install -m 755 -o 0 -g 0 -d /usr/local/bin/
install -m 755 -o 0 -g 0 snd /usr/local/bin/snd

%files
%doc README.Snd
%doc snd.html
%doc snd.txt
%doc title.gif
%doc controls.gif
%doc auto.gif
%doc files.gif
%doc regions.gif
%doc mixer.gif
%doc rec.gif
%doc fft.gif
%doc save.gif
/usr/local/bin/snd

#to make the rpm file (since I keep forgetting):
#  make up-to-date snd.tar.gz
#  increment release number above
#  su root
#  cd /usr/src/redhat/SOURCES
#  cp /home/bil/dist/snd/snd.tar.gz .
#  cd ../SPECS
#  cp /home/bil/cl/snd.spec .
#  rpm -ba snd.spec
#  /usr/src/redhat/BUILD/snd is where the build occurs
#  end result in /usr/src/redhat/RPMS/i386 (binary) and /usr/src/redhat/SRPMS (source)
